Subject: Re: [patch 1/7] Update smc91x driver with ARM Versatile board info

From: Russell King <[email-masked]>
Date: Sat, 14 Oct 2006 12:02:39 +0100

On Tue, Oct 10, 2006 at 02:33:22PM -0700, [email-masked] wrote:
> From: Deepak Saxena <[email-masked]>
> 
> We need to specify a Versatile-specific SMC_IRQ_FLAGS value or the new
> generic IRQ layer will complain thusly:

Or a far better solution would be to arrange to pass the IRQ flags via
the platform device IRQ resource rather than continually having to add
to the ifdef mess in smc91x.h for every machine type we come across.

-- 
Russell King